% Program "uzorak_populacije"

clc; close all; clear; tic 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%% PROMENLJIVE %%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

broj_populacije=XXX;         % velicina populacije
broj_uzoraka=XXX;            % broj uzorkovanja
broj_el_u_uzorku=XXX;        % broj elemenata u uzorku

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

verovatnoca_A=0.5;
n_histogram=20;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

raspodela=zeros(1,broj_uzoraka);
populacija=binornd(1,verovatnoca_A,1,broj_populacije);
for i=1:broj_uzoraka
 x=randperm(broj_populacije);
 y=populacija(x(1:broj_el_u_uzorku));
 raspodela(i)=sum(y)/broj_el_u_uzorku;
end

% N=broj_populacije;
% p=1/broj_populacije;
% 
% x1=0:N;
% binomna_raspodela=binopdf(x1,N,p);

figure
histogram(raspodela,n_histogram,...
    'DisplayStyle','bar',...
    'EdgeColor','black',...
    'FaceColor','[0.9410 0.2470 0]',...
    'LineWidth',1.5);
xlabel('\bf \fontsize{15} \fontname{Euclid} Srednja vrednost uzorka');
ylabel('\bf \fontsize{15} \fontname{Euclid} Ucestanost');
legend ('\fontname{Euclid} Raspodela')
xlim([0 1.0])

fprintf('\n')
fprintf('-----------------------------------------------------\n')
fprintf('\n')

toc
